commit 134c037ed24f77957556f40856659c1456df1bcc
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Fri Dec 13 14:26:17 2019 +0000

    DMARC: default dmarc_tld_file to unset.  Bug 2494
    
    (cherry picked from commit 39fdec3c4a4b4c1cc60cd17413b096dd07344734)

diff --git a/src/src/globals.c b/src/src/globals.c
index 358c380a8..85a25a7f2 100644
--- a/src/src/globals.c
+++ b/src/src/globals.c
@@ -844,7 +844,7 @@ uschar *dmarc_forensic_sender   = NULL;
 uschar *dmarc_history_file      = NULL;
 uschar *dmarc_status            = NULL;
 uschar *dmarc_status_text       = NULL;
-uschar *dmarc_tld_file          = US DMARC_TLD_FILE;
+uschar *dmarc_tld_file          = NULL;
 uschar *dmarc_used_domain       = NULL;
 #endif
 
diff --git a/src/src/receive.c b/src/src/receive.c
index 31e3f7cbb..4e85ffacf 100644
--- a/src/src/receive.c
+++ b/src/src/receive.c
@@ -1703,10 +1703,6 @@ header_line *msgid_header = NULL;
 header_line *received_header;
 BOOL msgid_header_newly_created = FALSE;
 
-#ifdef SUPPORT_DMARC
-int dmarc_up = 0;
-#endif
-
 /* Variables for use when building the Received: header. */
 
 uschar *timestamp;
@@ -1768,7 +1764,7 @@ if (smtp_input && !smtp_batched_input && !f.dkim_disable_verify)
 #endif
 
 #ifdef SUPPORT_DMARC
-dmarc_up = dmarc_init();	/* initialize libopendmarc */
+if (sender_host_address) dmarc_init();	/* initialize libopendmarc */
 #endif
 
 /* Remember the time of reception. Exim uses time+pid for uniqueness of message
@@ -3499,7 +3495,7 @@ else
 #endif /* WITH_CONTENT_SCAN */
 
 #ifdef SUPPORT_DMARC
-    dmarc_up = dmarc_store_data(from_header);
+    dmarc_store_data(from_header);
 #endif
 
 #ifndef DISABLE_PRDR

